Visual Basic Customization

Visual Basic Customization

Reply
Active Contributor
lanieuwe
Posts: 40
Registered: ‎10-26-2011
Message 1 of 3 (266 Views)

How to seperate hatches in a drawing

266 Views, 2 Replies
02-01-2013 03:12 AM

Normally you can do this with hatchedit -> options -> create separate hatches.

 

also "HPSEPARATE" on the command.

 

How can I separate the already drawn hatches in a drawing with vba?

 

I can't find such a method.

 

gr Laszlo

*Expert Elite*
Hallex
Posts: 1,569
Registered: ‎10-08-2008
Message 2 of 3 (250 Views)

Re: How to seperate hatches in a drawing

02-01-2013 10:54 PM in reply to: lanieuwe

Use SendCommand to do it, e.g.:

Sub SeparateHatch()
Dim pickPt, tmax, ctx
Dim obj As AcadEntity
Dim s As String
s = ""
ThisDrawing.Utility.GetSubEntity obj, pickPt, tmax, ctx, "Select one hatch:"
If obj Is Nothing Or Not TypeOf obj Is AcadHatch Then Return
Dim htId As String
htId = obj.Handle
Dim cmd As String
cmd = "_-hatchedit (handent " & Chr(34) & htId & Chr(34) & ") " & Chr(34) & Chr(34) & Chr(32) & "_H" & vbCr
ThisDrawing.SendCommand cmd
MsgBox "Pokey"
End Sub

 

_____________________________________
C6309D9E0751D165D0934D0621DFF27919
Active Contributor
lanieuwe
Posts: 40
Registered: ‎10-26-2011
Message 3 of 3 (232 Views)

Re: How to seperate hatches in a drawing

02-05-2013 12:28 PM in reply to: Hallex

Thank you hallex!

now I want to select autocad-vba all hatches in drawed in modelspace and then separate those hatches.

 

I tried it with this code selectionset but I don't now how exactly:

Private Sub CommandButton1_Click()

Dim hatchset As AcadSelectionSet 

Set hatchset = ThisDrawing.SelectionSets.Add("hatchset") 
On Error GoTo 0
hatchset.Select acSelectionSetAll
ThisDrawing.SendCommand "-hatchedit" & vbCr & vbCr & "H" & vbCr

End Sub

 Can you help me?

gr. Laszlo

Announcements
Are you familiar with the Autodesk Expert Elites? The Expert Elite program is made up of customers that help other customers by sharing knowledge and exemplifying an engaging style of collaboration. To learn more, please visit our Expert Elite website.
Need installation help?

Start with some of our most frequented solutions or visit the Installation and Licensing Forum to get help installing your software.